<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.3) on Sun May 26 21:48:59 CEST 2019 -->
<title>Primitive</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Primitive";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">org.david.geo.primitive</a></div>
<h2 title="Class Primitive" class="title">Class Primitive</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.david.geo.primitive.Primitive</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="PrimitiveInterface.html" title="interface in org.david.geo.primitive">PrimitiveInterface</a></code></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="../image/Image.html" title="class in org.david.geo.image">Image</a></code>, <code><a href="../line/Line.html" title="class in org.david.geo.line">Line</a></code>, <code><a href="../polyshapes/PolyShape.html" title="class in org.david.geo.polyshapes">PolyShape</a></code>, <code><a href="../shapes/Shape.html" title="class in org.david.geo.shapes">Shape</a></code>, <code><a href="../text/Text.html" title="class in org.david.geo.text">Text</a></code></dd>
</dl>
<hr>
<pre>public abstract class <span class="typeNameLabel">Primitive</span>
extends java.lang.Object
implements <a href="PrimitiveInterface.html" title="interface in org.david.geo.primitive">PrimitiveInterface</a></pre>
<div class="block">This abstract class define all attributes to define a <code>Primitive</code>.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">Primitive</a></span>()</code></th>
<td class="colLast">
<div class="block">default constructor.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(org.david.geo.style.Style)">Primitive</a></span>&#8203;(<a href="../style/Style.html" title="class in org.david.geo.style">Style</a>&nbsp;s)</code></th>
<td class="colLast">
<div class="block">surcharged constructor to initialize a primitive.</div>
</td>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(org.david.geo.style.Style,org.david.geo.transform.Transform)">Primitive</a></span>&#8203;(<a href="../style/Style.html" title="class in org.david.geo.style">Style</a>&nbsp;s,
         <a href="../transform/Transform.html" title="class in org.david.geo.transform">Transform</a>&nbsp;t)</code></th>
<td class="colLast">
<div class="block">surcharged constructor to initialize a primitive.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../style/Style.html" title="class in org.david.geo.style">Style</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getStyle()">getStyle</a></span>()</code></th>
<td class="colLast">
<div class="block">get the primitive style.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../transform/Transform.html" title="class in org.david.geo.transform">Transform</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTransform()">getTransform</a></span>()</code></th>
<td class="colLast">
<div class="block">get transformation properties.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setStyle(org.david.geo.style.Style)">setStyle</a></span>&#8203;(<a href="../style/Style.html" title="class in org.david.geo.style">Style</a>&nbsp;s)</code></th>
<td class="colLast">
<div class="block">set a new primitive style.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setTransform(org.david.geo.transform.Transform)">setTransform</a></span>&#8203;(<a href="../transform/Transform.html" title="class in org.david.geo.transform">Transform</a>&nbsp;t)</code></th>
<td class="colLast">
<div class="block">set the transformation properties.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#transform(java.awt.Graphics2D)">transform</a></span>&#8203;(java.awt.Graphics2D&nbsp;g2)</code></th>
<td class="colLast">
<div class="block">transform the 2D graphic.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.org.david.geo.primitive.PrimitiveInterface">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.david.geo.primitive.<a href="PrimitiveInterface.html" title="interface in org.david.geo.primitive">PrimitiveInterface</a></h3>
<code><a href="PrimitiveInterface.html#draw(java.awt.Graphics)">draw</a></code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(org.david.geo.style.Style)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Primitive</h4>
<pre>public&nbsp;Primitive&#8203;(<a href="../style/Style.html" title="class in org.david.geo.style">Style</a>&nbsp;s)</pre>
<div class="block">surcharged constructor to initialize a primitive.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - primitive style</dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Primitive</h4>
<pre>public&nbsp;Primitive()</pre>
<div class="block">default constructor.</div>
</li>
</ul>
<a id="&lt;init&gt;(org.david.geo.style.Style,org.david.geo.transform.Transform)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Primitive</h4>
<pre>public&nbsp;Primitive&#8203;(<a href="../style/Style.html" title="class in org.david.geo.style">Style</a>&nbsp;s,
                 <a href="../transform/Transform.html" title="class in org.david.geo.transform">Transform</a>&nbsp;t)</pre>
<div class="block">surcharged constructor to initialize a primitive.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - primitive style</dd>
<dd><code>t</code> - transform properties</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getStyle()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStyle</h4>
<pre class="methodSignature">public&nbsp;<a href="../style/Style.html" title="class in org.david.geo.style">Style</a>&nbsp;getStyle()</pre>
<div class="block">get the primitive style.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>style of the primitive</dd>
</dl>
</li>
</ul>
<a id="setStyle(org.david.geo.style.Style)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStyle</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setStyle&#8203;(<a href="../style/Style.html" title="class in org.david.geo.style">Style</a>&nbsp;s)</pre>
<div class="block">set a new primitive style.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - style expected</dd>
</dl>
</li>
</ul>
<a id="getTransform()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransform</h4>
<pre class="methodSignature">public&nbsp;<a href="../transform/Transform.html" title="class in org.david.geo.transform">Transform</a>&nbsp;getTransform()</pre>
<div class="block">get transformation properties.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Transform class</dd>
</dl>
</li>
</ul>
<a id="setTransform(org.david.geo.transform.Transform)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTransform</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setTransform&#8203;(<a href="../transform/Transform.html" title="class in org.david.geo.transform">Transform</a>&nbsp;t)</pre>
<div class="block">set the transformation properties.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>t</code> - object</dd>
</dl>
</li>
</ul>
<a id="transform(java.awt.Graphics2D)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>transform</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;transform&#8203;(java.awt.Graphics2D&nbsp;g2)</pre>
<div class="block">transform the 2D graphic.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>g2</code> - 2D graphic</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
